Next Commerce
Payments

Disputes Update

Update an existing dispute.

PUT
/disputes/{id}/

Authorization

oauth2 disputes:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: disputes:write

Path Parameters

id*integer

A unique integer value identifying this Dispute.

Header Parameters

X-29next-API-Version*string
Default"2023-02-10"
Value in"2023-02-10"

Request Body

amount?|
Match^-?\d{0,6}(?:\.\d{0,2})?$
Formatdecimal
arn?|
case_number?|
currency?|
metadata?|
resolution?|
  • could_not_find_order - Transaction Not found
  • declined_or_canceled_nothing_to_do - Nothing To Do
  • issued_full_refund - Issued Full Refund
  • issued_refund_for_remaining_amount - Refunded Remaining Amount
  • 3ds_authorized_successfully - Transaction 3DS Authorized
  • previously_refunded_nothing_to_do - Previously Refunded
  • unable_to_refund_merchant_account_closed - Unable to Refund
  • won - Won
  • lost - Lost
  • accepted - Accepted
  • other - Other
Value in"could_not_find_order" | "declined_or_canceled_nothing_to_do" | "issued_full_refund" | "issued_refund_for_remaining_amount" | "3ds_authorized_successfully" | "previously_refunded_nothing_to_do" | "unable_to_refund_merchant_account_closed" | "won" | "lost" | "accepted" | "other" | "" | null
resolution_other_message?|
transaction?|

Response Body

application/json

curl -X PUT "https://example.29next.store/api/admin/disputes/0/" \
  -H "X-29next-API-Version: 2023-02-10" \
  -H "Authorization: Bearer " \
  -H "Content-Type: application/json" \
  -d '{}'
{
  "amount": "string",
  "arn": "string",
  "case_number": "string",
  "currency": "string",
  "date_created": "2019-08-24T14:15:22Z",
  "happened_at": "2019-08-24T14:15:22Z",
  "id": 0,
  "metadata": {},
  "order": 0,
  "report_amount": "string",
  "report_currency": "string",
  "resolution": "could_not_find_order",
  "resolution_other_message": "string",
  "status": "new",
  "transaction": 0,
  "type": "alert"
}